onload = function() {
	// Timer fuer Marquee-Feld starten
	t = setTimeout( "update_streamname()", 2000 );
	t = setTimeout( "update_currentstream()", 2000 );
}



$(function() {
	function isnumeric( sText ) {
		var ValidChars = "0123456789";
		var IsNumber = true;
		var Char;

		for( i = 0; i < sText.length && IsNumber == true; i++ ) {
			Char = sText.charAt( i );
			if( ValidChars.indexOf( Char ) == -1 ) {
				IsNumber = false;
			}
		}
		return( IsNumber );
	}

	$.fn.moveUp = function() {
		before = $(this).prev();
		$(this).insertBefore( before );
	}

	$.fn.moveDown = function() {
		return this.each( function() {
			var next = $(this).next();
			if( next.length ) {
				$(next).after(this);
			} else {
				$(this).parent().append( this );
			}
		});
	}

	var sliderval = parseInt( $( "#initial_value" ).val() );
	$( "#amount" ).val( sliderval );
	$( "#slider-vertical" ).slider({
		orientation: "vertical",
		range: "min",
		min: 0,
		max: 100,
		value: sliderval,
		step: 5,
		slide: function( event, ui ) {
			$( "#amount" ).val( ui.value );
		}
	});

// 	$( "#amount" ).val( $( "#slider-vertical" ).slider( "value" ) );
	$( "#slider-vertical" ).bind( "slidestop", function( event, ui ) {
		$.ajax({
			type: "POST",
			url: "phprcv/player.php",
			data: "action=volume&value=" + $( "#slider-vertical" ).slider( "value" ),
			success: function() {

			}
		});
	});

	$( ".arrowdown" ).click( function() {
		var current = $(this).parent().parent();
		$.ajax({
			type: "POST",
			url: "phprcv/player.php",
			data: "action=stream_down&id=" + current.index(),
			success: function() {
				current.next().after( current );
			}
		});
	});

	$( ".arrowup" ).click( function() {
		var current = $(this).parent().parent();
		$.ajax({
			type: "POST",
			url: "phprcv/player.php",
			data: "action=stream_up&id=" + current.index(),
			success: function() {
				current.prev().before( current );
			}
		});
	});

	$( ".stream" ).click( function() {
		$.ajax({
			type: "POST",
			url: "phprcv/player.php",
			data: "action=chstream&id=" + ( $(this).parent().index() + 1 ),
			success: function() {
				$( "#selected" ).attr( "id", "" );
				$(this).attr( "id", "selected" );
			}
		});
	});

	$( ".delete" ).click( function() {
		if( confirm( "Soll der Stream wirklich entfernt werden?" ) ) {
			var current = $(this).parent().parent();
			$.ajax({
				type: "POST",
				url: "phprcv/player.php",
				data: "action=stream_del&id=" + current.index(),
				success: function() {
					current.remove();
				}
			});
		}
	});

	$( "input:submit", ".submits" ).button();
	$( "input:submit", "#newstream" ).click( function() {
		var errormsg = "Folgende Felder m%FCssen ausgef%FCllt werden oder sind fehlerhaft ausgef%FCllt%3A%0D%0D";
		var dosubmit = true;

		//----------------
		if( document.pl_addstr.pl_addstr_url.value.length < 10 ) {
			errormsg += "%09Stream-URL%0D";
			dosubmit = false;
		}
		//----------------
		if( document.pl_addstr.pl_addstr_name.value.length < 3 || document.pl_addstr.pl_addstr_name.value.indexOf( ',' ) != -1 ) {
			errormsg += "%09Name %28kein Komma%21%29%0D";
			dosubmit = false;
		}
		//----------------
		if( !isnumeric( document.pl_addstr.pl_addstr_nr.value ) || document.pl_addstr.pl_addstr_nr.value < 0 || document.pl_addstr.pl_addstr_nr.value > 99 ) {
			errormsg += "%09Einf%FCgeposition%0D";
			dosubmit = false;
		}
		//----------------
		if( document.pl_addstr.pl_addstr_vob.value == "" || document.pl_addstr.pl_addstr_vob.value == 0  ) {
			errormsg += "%09Ansage%0D";
			dosubmit = false;
		}
		//----------------

		if( !dosubmit ) {
			alert( unescape( errormsg ) );
			return( false );
		} else {
			return( true );
		}
	} );
});

function setVisibility( id ) {
	if( document.getElementById( id ).style.display == 'none' || document.getElementById(id).style.display == '' ) {
		document.getElementById( id ).style.display = 'block';
	} else {
		document.getElementById( id ).style.display = 'none';
	}
}

function update_streamname() {
	t = setTimeout( "update_streamname()", 2000 );
	var xmlHttp = null;
	try {
		// Mozilla, Opera, Safari sowie Internet Explorer (ab v7)
		xmlHttp = new XMLHttpRequest();
	} catch( e ) {
		try {
			// MS Internet Explorer (ab v6)
			xmlHttp  = new ActiveXObject( "Microsoft.XMLHTTP" );
		} catch( e ) {
			try {
				// MS Internet Explorer (ab v5)
				xmlHttp  = new ActiveXObject( "Msxml2.XMLHTTP" );
			} catch( e ) {
				xmlHttp  = null;
			}
		}
	}
	if( xmlHttp ) {
		xmlHttp.open( 'GET', 'phprcv/player_stream.php', true );
		xmlHttp.onreadystatechange = function () {
			if( xmlHttp.readyState == 4 ) {
				var elementref = document.getElementsByTagName( 'marquee' );
				if( elementref[0].innerHTML != xmlHttp.responseText ) {
					elementref[0].innerHTML = xmlHttp.responseText;
				}
			}
		};
		xmlHttp.send( null );
	}
}

function update_currentstream() {
	t = setTimeout( "update_currentstream()", 2000 );
	var xmlHttp = null;
	try {
		// Mozilla, Opera, Safari sowie Internet Explorer (ab v7)
		xmlHttp = new XMLHttpRequest();
	} catch( e ) {
		try {
			// MS Internet Explorer (ab v6)
			xmlHttp  = new ActiveXObject( "Microsoft.XMLHTTP" );
		} catch( e ) {
			try {
				// MS Internet Explorer (ab v5)
				xmlHttp  = new ActiveXObject( "Msxml2.XMLHTTP" );
			} catch( e ) {
				xmlHttp  = null;
			}
		}
	}
	if( xmlHttp ) {
		xmlHttp.open( 'GET', 'phprcv/player_stream_nr.php', true );
		xmlHttp.onreadystatechange = function () {
			if( xmlHttp.readyState == 4 ) {
				var elementref = document.getElementById( 'playlist' ).getElementsByTagName( 'li' );
				for( var i = 0; i < elementref.length; i++ ) {
					if( i == xmlHttp.responseText ) {
						elementref[i].id = "selected";
					} else {
						elementref[i].id = "";
					}
				}
			}
		};
		xmlHttp.send( null );
	}
}

function player( action ) {
	switch( action ) {
		case "prev":
		case "stop":
		case "play":
		case "next":
			$.ajax({
				type: "POST",
				url: "phprcv/player.php",
				data: "action=" + action,
				success: function() {

				}
			});
			break;
	}

}
